package com.ruoyi.controller;


import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.dto.FyglTravelOnBusinessDTO;
import com.ruoyi.service.IFyglTravelOnBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/FyglTravelOnBusiness")
public class FyglTravelOnBusinessController extends BaseController {

    @Autowired
    private IFyglTravelOnBusinessService travelOnBusinessService;

    //列表
    @Anonymous
    @GetMapping("/getList")
    public TableDataInfo getProjectCostList(FyglTravelOnBusinessDTO fyglProjectCostDTO){
        startPage();
        return getDataTable(travelOnBusinessService.getFyglTravelOnBusinessList(fyglProjectCostDTO));
    }

}
